## org.apache.mahout.cf.taste.impl.eval
Class AbstractDifferenceRecommenderEvaluator.PreferenceEstimateCallable

    java.lang.Object
      org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator.PreferenceEstimateCallable

All Implemented Interfaces:
  Callable<Void>

Enclosing class:
  AbstractDifferenceRecommenderEvaluator

    public final class AbstractDifferenceRecommenderEvaluator.PreferenceEstimateCallable

extends Object
implements Callable<Void>

Constructor Summary
`AbstractDifferenceRecommenderEvaluator.PreferenceEstimateCallable(Recommender recommender, long testUserID, PreferenceArray prefs, AtomicInteger noEstimateCounter)`

Method Summary
`Void` `call()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDifferenceRecommenderEvaluator.PreferenceEstimateCallable

    public AbstractDifferenceRecommenderEvaluator.PreferenceEstimateCallable(Recommender recommender,
                                                                             long testUserID,
                                                                             PreferenceArray prefs,
                                                                             AtomicInteger noEstimateCounter)

Method Detail

### call

    public Void call()
              throws TasteException

  Specified by:
    `call` in interface `Callable<Void>`
  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.